// ConsoleApplication2.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include<vector>
#include<algorithm>
using namespace std;
int main()
{
    long long N, Q;
    cin >> N >> Q;
    vector<long long>d(N);
    vector<long long>p(N);

    for (long long i = 0; i < N; i++) {
        cin >> d[i] >> p[i];
    }

    long long k_upit_dan;
    cin >> k_upit_dan;
    long long ukupno_jabuka = 0;
    long long pojela_jabuka = 0;

    for (long long i = 1; i <= k_upit_dan; i++) {

        for (long long j = 0; j < N; j++) {
            if (d[j] == i) {
                ukupno_jabuka += p[j];
            }
        }
    
    if (ukupno_jabuka > 0) {
        ukupno_jabuka--;
        pojela_jabuka++;
    }
}
    cout << pojela_jabuka;
    



}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file